package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

@SuppressWarnings("serial")
public class SingleLabelOptionBean implements Serializable {
	private int id;
	private String label_id;
	private int option_type;
	private int option_id;
	private int label_mode = 0;//0:整托  1:单箱
	private int labelStatus = 0;//0:默认值    1:不合法标签    2:重复激活标签     3:未激活标签
	
	public SingleLabelOptionBean() {
	}
	
	public SingleLabelOptionBean(String label_id,int option_type,int option_id) {
		this.label_id = label_id;
		this.option_type = option_type;
		this.option_id = option_id;
	}
	public SingleLabelOptionBean(String label_id,int option_type,int option_id,int label_mode) {
		this.label_id = label_id;
		this.option_type = option_type;
		this.option_id = option_id;
		this.label_mode = label_mode;
	}
	public String getLabel_id() {
		return label_id;
	}

	public void setLabel_id(String label_id) {
		this.label_id = label_id;
	}

	public int getOption_type() {
		return option_type;
	}

	public void setOption_type(int option_type) {
		this.option_type = option_type;
	}

	public int getOption_id() {
		return option_id;
	}

	public void setOption_id(int option_id) {
		this.option_id = option_id;
	}
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}

	public int getLabelStatus() {
		return labelStatus;
	}
	public void setLabelStatus(int labelStatus) {
		this.labelStatus = labelStatus;
	}

	public int getLabel_mode() {
		return label_mode;
	}
	public void setLabel_mode(int label_mode) {
		this.label_mode = label_mode;
	}
	@Override
	public String toString() {
		return "SingleLabelOptionBean [id=" + id + ", label_id=" + label_id + ", option_type=" + option_type
				+ ", option_id=" + option_id + ", labelStatus=" + labelStatus + "]";
	}
}
